%define __libtoolize /bin/true


Name:		kio_burn
Version:	0.8
Release:	%mkrel 4
Summary:	CD-Burning kioslave
URL:		http://www-users.york.ac.uk/~jrht100/burn/
Source:		http://www-users.york.ac.uk/~jrht100/burn/burn-%{version}.tar.bz2
License:	GPL
Group:		Archiving/Cd burning
BuildRequires:	kdelibs-devel k3b-devel kdebase-devel
BuildRequires:  taglib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	cdrecord mkisofs

%description
Burn is a package to let you burn CD or DVDs using Konqueror. Actually,
you could in theory use it from any KDE program capable of opening and
saving via KDE's ioslave system. However, Konqueror is probably the easiest
way to burn discs.

Please note that DVD support is untested as I don't have a a DVD burner.
Since cdrecord claims to be able to implement DVD burning, adding it to
kio_burn should be easy with a little help from someone with a DVD burner.

Burn currently only supports data discs, burning audio CD support will
hopefully be added in the future.

%prep
%setup -q -n burn-%{version}

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }


%configure --enable-final
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

for i in `find %{buildroot}/%{_datadir}/locale -type f -name '.mo'`
  do mv $i `dirname $i`/kio_burn.mo
done

%{find_lang} %{name}

%clean
rm -Rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/kde3/*
%{_datadir}/services/burn.protocol
%doc README TODO AUTHORS
%_datadir/apps/konqsidebartng/add/burnsidebar.desktop
%_datadir/apps/konqsidebartng/entries/burnsidebar.desktop
%doc %_docdir/HTML/en/burn/common
%doc %_docdir/HTML/en/burn/*.bz2
%doc %_docdir/HTML/en/burn/*.docbook



%changelog
* Wed Aug 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-4mdv2007.0
- Rebuild against new dbus

* Fri Jan 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-3
- Rebuild with new dbus

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-2mdk
- Add BuildRequires

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1mdk
- 0.8

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7
- Fix compile under x86_64

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Sun Jan 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Thu Sep 09 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4-1mdk
- 0.4
- patch to make it build
- distro-dependant release tag
- don't own KDE's directories

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Thu Jul 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.1-1mdk
- first Mandrake package

